214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Breakdowns / 26 of 75

Nights by region

GET/v1/nights/by-region

Nights for each region inside a country, in the country's own regional units.

Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
isorequiredstring
path
ISO 3166 two-letter country code
e.g. CL
periodoptionalperiod
query
One period; defaults to the latest finished one
e.g. 2026-08
Request
# Nights by province, county or region
curl "https://api.tourismapi.com/v1/nights/by-region?iso=SI" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_1566e78b1e",
        "data_as_of": "2026-10-20T04:48:14Z",
        "count": 50,
        "country": "SI",
        "measure": "nights",
        "breakdown": "region",
        "period": "2025",
        "freq": "A"
    },
    "data": [
        {
            "series": "sr_d1jex8kh",
            "name": "SLOVENIA",
            "unit": "",
            "value": 17843311
        },
        {
            "series": "sr_dtkwatyh",
            "name": "Nights spent, NUTS 2 regions: Total, Hotels; holiday and other short-stay accommodation; camping grounds, recreational vehicle parks and trailer parks, Slovenija",
            "unit": "Number",
            "value": 17827408
        },
        {
            "series": "sr_re4a2m9s",
            "name": "SLOVENIA, Foreign, Overnight stays",
            "unit": "",
            "value": 13358792
        }
    ]
}
Response fields
FieldTypeExample
seriesstringsr_d1jex8kh
namestringSLOVENIA
unitstring
valuenumber17843311